
From: Adrian Bunk <bunk@stusta.de>

arch/i386/kernel/built-in.o: In function `die':
: undefined reference to `last_sysfs_file'

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/traps.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN arch/i386/kernel/traps.c~sysfs-crash-debugging-fix arch/i386/kernel/traps.c
--- devel/arch/i386/kernel/traps.c~sysfs-crash-debugging-fix	2005-08-22 15:51:00.000000000 -0700
+++ devel-akpm/arch/i386/kernel/traps.c	2005-08-22 15:51:00.000000000 -0700
@@ -370,7 +370,9 @@ void die(const char * str, struct pt_reg
 #endif
 		if (nl)
 			printk("\n");
+#ifdef CONFIG_SYSFS
 		printk(KERN_ALERT "last sysfs file: %s\n", last_sysfs_file);
+#endif
 #ifdef CONFIG_KGDB
 	/* This is about the only place we want to go to kgdb even if in
 	 * user mode.  But we must go in via a trap so within kgdb we will
_
